.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 2000;
  top: 0;
  left: 0;
  background-color: #262626;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 45px;
  text-align: center;
  a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #818181;
    display: block;
    transition: 0.3s;
    &:hover {
      color: #f1f1f1;
    }
  }
  .closebtn {
    position: absolute;
    top: -2px;
    right: 19px;
    font-size: 29px;
    color: #d4d4d4;
    padding: 0;
  }
  #cssmenu li.has-sub {
    a i {
      position: absolute;
      right: 23px;
      font-size: 20px;
      top: 12px;
      color: #d4d4d4;
      @include transition(0.4s);
    }
    &.open {
      a i {
        @include transform(rotate(180deg));
      }
    }
  }
  #cssmenu,
  #cssmenu ul,
  #cssmenu ul li,
  #cssmenu ul li a {
    margin: 0;
    padding: 0;
    border: 0;
    list-style: none;
    line-height: 1;
    display: block;
    position: relative;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
  }
  #cssmenu {
    width: 100%;
    font-family: Helvetica, Arial, sans-serif;
    color: #fff;
    .title {
      position: absolute;
      top: -29px;
      right: 0;
      left: 0;
      font-size: 14px;
      color: #fff;
      width: 50px;
      margin: auto;
    }
  }
  #cssmenu ul ul {
    display: none;
  }
  .align-right {
    float: right;
  }
  #cssmenu > ul > li > a {
    padding: 15px 20px;
    cursor: pointer;
    z-index: 2;
    text-align: left;
    font-size: 14px;
    font-weight: 500;
    text-decoration: none;
    color: #ffffff;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.35);
    background: transparent;
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.15);
  }
  #cssmenu > ul > li > a:hover,
  #cssmenu > ul > li.active > a,
  #cssmenu > ul > li.open > a {
    color: #eeeeee;
  }
  #cssmenu > ul > li.open > a {
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.15),
      0 1px 1px rgba(0, 0, 0, 0.15);
    border-bottom: 1px solid #464646;
  }
  #cssmenu > ul > li:last-child > a,
  #cssmenu > ul > li.last > a {
    border-bottom: 1px solid #464646;
  }

  #cssmenu > ul > li > a:hover > span::after,
  #cssmenu > ul > li.active > a > span::after,
  #cssmenu > ul > li.open > a > span::after {
    border-color: #eeeeee;
  }
  .holder::before {
    top: 18px;
    border-top: 2px solid;
    border-left: 2px solid;
    border-top-color: inherit;
    border-left-color: inherit;
  }
  #cssmenu ul ul li a {
    cursor: pointer;

    border-left: 1px solid #32373e;
    border-right: 1px solid #32373e;
    text-align: left;
    padding: 10px 20px;
    padding-left: 35px;
    z-index: 1;
    text-decoration: none;
    font-size: 13px;
    color: #eeeeee;

    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.1);
  }
  #cssmenu ul ul li:hover > a,
  #cssmenu ul ul li.open > a,
  #cssmenu ul ul li.active > a {
    background: #424852;
    color: #ffffff;
  }
  #cssmenu ul ul li:first-child > a {
    box-shadow: none;
  }
  #cssmenu ul ul ul li:first-child > a {
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.1);
  }
  #cssmenu ul ul ul li a {
    padding-left: 30px;
  }
  #cssmenu > ul > li > ul > li:last-child > a,
  #cssmenu > ul > li > ul > li.last > a {
    border-bottom: 0;
  }
  #cssmenu > ul > li > ul > li.open:last-child > a,
  #cssmenu > ul > li > ul > li.last.open > a {
    border-bottom: 1px solid #32373e;
  }
  #cssmenu > ul > li > ul > li.open:last-child > ul > li:last-child > a {
    border-bottom: 0;
  }
  #cssmenu ul ul li.has-sub > a::after {
    display: block;
    position: absolute;
    content: "";
    width: 5px;
    height: 5px;
    right: 20px;
    z-index: 10;
    top: 11.5px;
    border-top: 2px solid #eeeeee;
    border-left: 2px solid #eeeeee;
    -webkit-transform: rotate(-135deg);
    -moz-transform: rotate(-135deg);
    -ms-transform: rotate(-135deg);
    -o-transform: rotate(-135deg);
    transform: rotate(-135deg);
  }
  #cssmenu ul ul li.active > a::after,
  #cssmenu ul ul li.open > a::after,
  #cssmenu ul ul li > a:hover::after {
    border-color: #ffffff;
  }
}
